Page MenuHomeVyOS Platform

pppoe-server CLI control features
Closed, ResolvedPublicFEATURE REQUEST

Description

Sometimes needs disconnect pppoe sessions, and necessary have this feature in our CLI. Of course we can use CoA, but it only for RADIUS users.
Proposed CLI commands:

vyos@BRAS:~$ reset pppoe-server
Possible completions:
  all           Terminate all pppoe-server users
  interface     Terminate a ppp interface
  user          Terminate specified users

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

Dmitry created this task.Jan 2 2020, 10:51 PM
Dmitry claimed this task.Jan 2 2020, 11:00 PM
Dmitry changed the task status from Open to Needs testing.Jan 3 2020, 11:11 AM
syncer triaged this task as Normal priority.Jan 6 2020, 12:52 AM
Dmitry changed the task status from Needs testing to Backport pending.Jan 6 2020, 7:46 AM

Tested successfully on VyOS 1.3-rolling-202001060217

pasik added a subscriber: pasik.Jan 6 2020, 12:26 PM
syncer reassigned this task from Dmitry to jestabro.Mar 15 2020, 10:53 PM
syncer moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.5) board.
syncer moved this task from In Progress to Finished on the VyOS 1.3 Equuleus board.
syncer moved this task from Finished to Backport Candidates on the VyOS 1.3 Equuleus board.

Tested successfully in Crux.

jestabro closed this task as Resolved.Mar 21 2020, 5:18 PM
jestabro moved this task from Backlog to Finished on the VyOS 1.2 Crux (VyOS 1.2.5) board.
jestabro moved this task from Backport Candidates to Finished on the VyOS 1.3 Equuleus board.